Bug 40538 - Code completion isn't filtering properly
Summary: Code completion isn't filtering properly
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Text Editor (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Mac OS
: High normal
Target Milestone: (C7)
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2016-04-20 00:14 UTC by James Clancey
Modified: 2016-06-23 11:03 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description James Clancey 2016-04-20 00:14:40 UTC
You will notice in the screenshot it should be autocompleting for an event handler but it isnt.

https://www.dropbox.com/s/44j13zwd0xh134p/Screenshot%202016-04-19%2016.04.02.png?dl=0

XS Log: https://gist.github.com/Clancey/82ff8437ae002c9fdb0dd67b57a919e7


This also happens with initializer syntax, you see everything possible but instead of just the actual properties for the object
Comment 1 Mike Krüger 2016-04-20 05:32:42 UTC
That's the symbol completion - but the event handler creation should be in that list.

There should be an item Handle_Clicked. It's the history completion kicking in selecting the BecomeFirstResponder.
Comment 2 James Clancey 2016-04-20 05:35:27 UTC
It, should default directly to the Event handler creation, but I couldn't find it. Why would it not be first?  Also that is what pops up when I do += so if its the wrong window, thats a problem.
Comment 3 Mike Krüger 2016-04-20 06:24:08 UTC
It is the first - the selection isn't the first. Scroll to the top - what do you see ?
Comment 4 James Clancey 2016-04-20 06:25:42 UTC
So, I start typing button.Clicked += and it takes me to BecomesFirstResponder()  I will try again and scroll up, but either way thats a bug. I should be able to just press tab or enter and move on with my coding. Not scroll through a list...
Comment 5 xamarin-release-manager 2016-05-23 10:30:50 UTC
Fixed in version 6.1.0.864 (master)

Author: Mike Kr??ger
Commit: 3e746ca90c3c3412db26cb7526ef0deee3742d78 (mono/monodevelop)
Comment 6 xamarin-release-manager 2016-06-07 21:54:34 UTC
Fixed in version 6.0.1.11 (cycle7)

Author: Lluis Sanchez
Commit: 6def626362eeb31feec8676452ee3369aee49c7a (mono/monodevelop)
Comment 7 xamarin-release-manager 2016-06-15 18:44:51 UTC
Fixed in version 6.0.2.19 (cycle7-app-insights-rebased)

Author: Lluis Sanchez
Commit: 6def626362eeb31feec8676452ee3369aee49c7a (mono/monodevelop)
Comment 8 Sunil Kumar 2016-06-23 11:03:18 UTC
I have checked this issue on Mac and windows with XS 6.0.2.30 and observed that now this issue works fine. Now code completion is filtering correctly for event handler.

Screencast(Mac): http://www.screencast.com/t/gdTwiuub7
Screencast(Win): http://www.screencast.com/t/s11XGuIZK

Environment info:
XamarinStudio-6.0.2.30.dmg
XamarinStudio-6.0.2.30.msi

Build is downloaded from link: https://code.internalx.com/Wrench/BuildDetails?buildId=90e33f85821b535ad311e61a6ac97b

Note You need to log in before you can comment on or make changes to this bug.